Class | Fog::Storage::Atmos::File
In: | lib/fog/atmos/models/storage/file.rb
Parent: | Fog::Model

### Methods

body body= copy destroy directory public= public_url save

### Public Instance methods

body()
body=(new_body)
copy(target_directory_key, target_file_key, options={})
destroy()
directory()
public=(new_public)

def owner=(new_owner)

      if new_owner
        attributes[:owner] = {
          :display_name => new_owner['DisplayName'],
          :id           => new_owner['ID']
        }
      end

end

public_url(expires = (Time.now + 5 * 365 * 24 * 60 * 60))

By default, expire in 5 years

save(options = {})

[Validate]